# asin

(PHP 4, PHP 5, PHP 7)

asin — Arc sine

### Description

asin ( float `$arg` ) : float

Returns the arc sine of `arg` in radians. asin() is the inverse function of sin(), which means that a==sin(asin(a)) for every value of a that is within asin()'s range.

### Parameters

`arg`

  The argument to process

### Return Values

The arc sine of `arg` in radians

### See Also

- sin() - Sine
- asinh() - Inverse hyperbolic sine
- acos() - Arc cosine
- atan() - Arc tangent